Bug 55252 - LaserJet4 driver prints incorrectly
LaserJet4 driver prints incorrectly
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: foomatic (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-28 06:22 EST by Alar Suija
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-01 14:14:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alar Suija 2001-10-28 06:22:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-7 i586)

Description of problem:
LJ4 / LJ4L driver prints page filled with printer language codes (ala
@REt=    etc.), then prints job (correctly)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. configure local printer spool using LJ4 / LJ4L driver
2. print PS test page
	

Actual Results:  first page contains printer codes

Expected Results:  must be pinting only test page

Additional info:

printer is Epson EPL-3000 working in LJ4L emulation mode
with rhs-printfilters (from RedHat 7.0) works excellent
Comment 1 Paul Kirschner 2001-10-29 20:53:25 EST
I have an HP LaserJet 4L and see the following when printing a test page via 
printtool and Redhat 7.2.

The first page comes out showing the top left quadrant expanded to a full page 
(like the resultion was out by 2X), The next page has...
@PJL SET MANUALFEED=OFF
                                                @PJL SET RET=MEDIUM
(etc)

This all worked correctly with Redhat 7.1.
Comment 2 Gabriele Turchi 2001-10-30 08:07:28 EST
Same problem with an HP LasetJet 1100.
Comment 3 Gabriele Turchi 2001-11-01 14:14:04 EST
Apparently there is a buglet in /usr/share/printconf/util/printconf_mfomatic.pl.

The following patch fixes it for me.


--- /usr/share/printconf/util/printconf_mfomatic.pl.old	Thu Nov  1 20:11:49 2001+++ /usr/share/printconf/util/printconf_mfomatic.pl	Thu Nov  1 20:11:21 2001@@ -336,7 +336,7 @@
 
 ## J type finishing
 # Compute the proper stuff to say around the job
-if ($dat->{'pjl'}) {
+if (defined($dat->{'pjl'})) {
 
     # Stick beginning of job cruft on the front of the pjl stuff...
     unshift (@pjlprepend,
Comment 4 Crutcher Dunnavant 2001-11-01 14:41:54 EST
fixed in errata RHSA-2001:138

Note You need to log in before you can comment on or make changes to this bug.